> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Time Bookings

<Note>
  This endpoint only works if your environment has been updated to BDERest version 63.11.20 or higher. If you are unsure of your BDERest version, you can check it in the Platform under Administration > Time & Security > Status.
</Note>


## OpenAPI

````yaml GET /api/v1/time-bookings
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/time-bookings:
    get:
      tags:
        - time-controller
      operationId: getTimeBookings
      parameters:
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: date
            example: '2025-01-01'
          example: '2025-01-01'
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date
            example: '2025-01-31'
          example: '2025-01-31'
        - name: modifiedSince
          in: query
          description: Only time bookings that have changed since this date.
          required: false
          schema:
            type: string
            format: date-time
            description: Only time bookings that have changed since this date.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TimeBookings'
components:
  schemas:
    TimeBookings:
      type: object
      properties:
        personId:
          type: string
          format: uuid
        days:
          type: array
          description: >-
            Time Bookings grouped by day (Formerly timeAccountDays)


            Time bookings have their own unit, but the daily totals are always
            in hours and minutes. The decimal part corresponds to minutes. For
            example, 90 minutes is displayed as 1.30.
          items:
            $ref: '#/components/schemas/CalendarDay'
    CalendarDay:
      type: object
      properties:
        date:
          type: string
          format: date
        targetTime:
          type: number
          format: double
        bookedTime:
          type: number
          format: double
        chargeableTime:
          type: number
          format: double
        bookings:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/Timestamp'
              - $ref: '#/components/schemas/TimeBooking'
      title: CalendarDay
    Timestamp:
      type: object
      properties:
        time:
          type: string
          format: date-time
          description: >-
            Date and time of the time booking. No time zone information is
            provided.
          examples:
            - '2023-11-07T05:31:56'
        key:
          type: string
      title: Timestamp
    TimeBooking:
      type: object
      properties:
        time:
          type: string
          format: date
          description: >-
            Depending on the daily cutoff time, the date of the entry may differ
            from the actual date. No information about the time of the entry is
            recorded.
          examples:
            - '2023-11-07T00:00:00'
        value:
          type: number
          format: double
        unit:
          type: string
          enum:
            - DAYS
            - HOURS
            - HOURS_MINUTES
            - SECONDS
        key:
          type: string
      title: TimeBooking

````